Skip to main content
Called by iGamingAce when a player places a bet. Deduct the specified amount from the player’s balance and return the updated balance. iGamingAce calls your /Withdraw endpoint when a player places a bet. Your server must deduct the specified amount from the player’s balance and return the new balance. If the player does not have enough funds, return result 6 and do not process the transaction. You implement this endpoint on your own server.

Endpoint

POST https://{your_callback_base_url}/Withdraw
Replace {your_callback_base_url} with the HTTPS base URL you registered with iGamingAce (for example, https://merchant.com/callbackService).
Your endpoint must be served over HTTPS and must always return HTTP 200, even when reporting an error. Use the messagefield in the JSON body to communicate error message.

Request Parameters

ParameterDescriptionFormatExample
agentIDID of agent, Identification of Licenseestringagent01
userIDPlayer ID, Alphanumeric characters, minimum length 4, maximum length 48.string(4-48)player01
amountwithdraw amount, the value can have a maximum of 2 decimal places.decimal1.00
transactionIDTransaction ID. It must be a unique identifier.string4146ed8dd6d5497780e9fc273e86bae0
roundIDGame round IDstring307e9124a5314f2795ce583391e1c61c
gameIDgame id which player is playinginteger1566
freeSpinIDFree Spin Identifier. only when freespin, this value is set, otherwise this value is null.stringfreespin001
isBonusBuyBonus Buy flag.
If bonus buy this value set 1 else 0. Not participate in making sign.
integer1
signHMAC-SHA-256 signature computed with your secret key.
Expressed as a 64-character uppercase hex string.
(Refer Data Sign)
string (64)5E0A0349AE36AD67CD21D891AB124CCE8CC4171C5BD7EF5B26FCA86DB71F500A

Response

ParameterDescriptionFormatExample
codeResult codesinteger0
messageDescription of the error, this field can be empty when successstring(256)Cannot find specified user id
platformTransactionIDThis field is set only if the result code is 0 (success) or 11 (duplicate reference)string795e6d1ced34479b991de2e2dd515159
balanceBalance on the target account after transaction is completed.decimal15.03